<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Crear Nuevo Gasto Menor (Caja chica)';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');
?>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php'); ?>
		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Monto o Precio:</label>
												<input id='txtMonto' type="number" class="form-control">
											</div>														
											<div class="form-group form-group-default">
												<label>Fecha:</label>
												<input id='txtFecha2' type="text" class="form-control" disabled>
											</div>
										</div>
										<div class="col-md-6 col-lg-8">												
											<div class="form-group form-group-default">
												<label>Detalle del Gasto:</label>
												<textarea id='txtDetalle' rows='7' class="form-control"></textarea>
											</div>																																					
										</div>																					
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'cajeros-cajachica/ver'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> REGISTRAR </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function(){    	
	var tiempo = new Date();
    //fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;
	let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;	
    $('#txtFecha2').val(fecha+' '+hora);
});


$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'cajeros-cajachica-ins2/'. md5(uniqid()); ?>',{
	'txtMonto': $('#txtMonto').val(), 	 
	'txtDetalle': $('#txtDetalle').val(), 	
	'txtFecha': $('#txtFecha').val(),
	'txtHora': $('#txtHora').val(),	
	'codigo_universal':'<?php echo $codigo_universal; ?>',  
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>